Delete Report External ID
curl --request DELETE \
--url https://api.promptlayer.com/reports/{report_id}/external-ids/{source}/{external_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/reports/{report_id}/external-ids/{source}/{external_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/reports/{report_id}/external-ids/{source}/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"success": false
}{
"message": "<string>",
"success": false
}{
"message": "<string>",
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Evaluations & Reports API
Delete Report External ID
DELETE
/
reports
/
{report_id}
/
external-ids
/
{source}
/
{external_id}
Delete Report External ID
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
Authorizations
Path Parameters
External ID source.
Required string length:
1 - 128External ID value. URL-encode any reserved path characters.
Required string length:
1 - 512Response
External ID detached
Was this page helpful?
⌘I

